use camino::Utf8PathBuf;

pub fn xdg_data(app: &str) -> Utf8PathBuf {
    let xdg_data = std::env::var("XDG_DATA_HOME").unwrap_or(format!(
        "{}/.local/share",
        std::env::var("HOME").expect("NO $HOME?!")
    ));
    Utf8PathBuf::from(xdg_data).join(app)
}

#[allow(dead_code)]
pub fn xdg_cache(app: &str) -> Utf8PathBuf {
    let xdg_cache = std::env::var("XDG_CACHE_HOME").unwrap_or(format!(
        "{}/.cache",
        std::env::var("HOME").expect("NO $HOME?!")
    ));
    Utf8PathBuf::from(xdg_cache).join(app)
}

pub fn xdg_config(app: &str) -> Utf8PathBuf {
    let xdg_config = std::env::var("XDG_CONFIG_HOME").unwrap_or(format!(
        "{}/.config",
        std::env::var("HOME").expect("NO $HOME?!")
    ));
    Utf8PathBuf::from(xdg_config).join(app)
}
